Help Center

What are the system requirements?

To use your website, all you need is a mobile device or a computer, an internet connection, and a web browser.

Requirements

Install the latest version of one of the supported browsers to use the Garage Website Online services:

We recommend using Google Chrome or Mozilla Firefox. If you’re not sure which browser version your computer is using, you can always check it out over at supportdetails.com.

 

Note
Using Garage Website Online services with the following browsers is not possible or only to a limited extent:

  • Microsoft Internet Explorer
  • Microsoft Edge Legacy
  • Opera Mini
  • Safari X (and older versions)

If you’d like to edit your website using a mobile Android device, please make sure to use at least Android version 4.3 (or newer).